Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1607146 - Computer freezes and becomes complete unresponsive
Summary: Computer freezes and becomes complete unresponsive
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-22 13:40 UTC by jon
Modified: 2019-02-21 21:11 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:11:05 UTC


Attachments (Terms of Use)
dmesg output after rebooting following issue (deleted)
2018-07-22 13:40 UTC, jon
no flags Details
lspci output (deleted)
2018-07-22 13:40 UTC, jon
no flags Details

Description jon 2018-07-22 13:40:03 UTC
Created attachment 1469770 [details]
dmesg output after rebooting following issue

Description of problem:  Freezing, no input keyboard/mouse, numlock light "stuck", etc.


Version-Release number of selected component (if applicable):  appears to be related to amdgpu driver from dmesg


How reproducible:  Intermittent, happens usually 2-3 times per day.  


Steps to Reproduce:
1.  Boot 
2.  Open terminals, firefox, etc
3.  Wait

Actual results:


Expected results:


Additional info:
This problem started early in July.  Prior to that, this machine/installation had been stable for months with uptimes measured in weeks.  

Ryzen 1700X (replaced under RMA - not defective CPU)
MSI B350 Tomahawk Arctic
Using the following bootline:

BOOT_IMAGE=/boot/vmlinuz-4.17.6-200.fc28.x86_64 root=/dev/mapper/fedora_ssd_vg00-root ro resume=/dev/mapper/fedora_ssd_vg00-swap rd.lvm.lv=fedora_ssd_vg00/root rd.lvm.lv=fedora_ssd_vg00/swap idle=nomwait rcu_nocbs=0-15 rhgb quiet LANG=en_US.UTF-8

Comment 1 jon 2018-07-22 13:40:44 UTC
Created attachment 1469771 [details]
lspci output

Comment 2 jon 2018-08-06 01:45:20 UTC
Update:  I continued to experience the same behavior all the way up through 4.17.9-200.  I just upgraded to 4.17.11-200 and after booting the new kernel, I see the message repeatedly, but the system is no longer freezing yet:

[Sun Aug  5 16:49:40 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

[Sun Aug  5 17:55:12 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

[Sun Aug  5 16:50:56 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

[Sun Aug  5 17:08:29 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

[Sun Aug  5 17:17:33 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

[Sun Aug  5 17:55:12 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

[Sun Aug  5 20:01:04 2018] [drm:generic_reg_wait [amdgpu]] *ERROR* REG_WAIT timeout 10us * 3000 tries - dce110_stream_encoder_dp_blank line:956

Comment 3 Justin M. Forbes 2019-01-29 16:26:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2019-02-21 21:11:05 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.